summaryrefslogtreecommitdiff
path: root/tests/mv/i-5.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/i-5.sh')
-rwxr-xr-xtests/mv/i-5.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/mv/i-5.sh b/tests/mv/i-5.sh
new file mode 100755
index 000000000..76cacabe3
--- /dev/null
+++ b/tests/mv/i-5.sh
@@ -0,0 +1,29 @@
+#!/bin/sh
+# Make sure 'mv -i dir file' prompts before failing.
+
+# Copyright (C) 2006-2012 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+print_ver_ mv
+
+mkdir a || framework_failure_
+touch b || framework_failure_
+
+
+# coreutils 6.2 mv would neglect to prompt in this case.
+echo n | mv -i a b 2>/dev/null || fail=1
+
+Exit $fail